DMESG(1)

NAZWA
dmesg - wypisuje lub steruje buforem warstwy jądra

SKŁADNIA
dmesg [opcje]

dmesg --clear
dmesg --read-clear [opcje]
dmesg --console-level poziom
dmesg --console-on
dmesg --console-off

OPIS
dmesg służy do sprawdzenia bufora warstwy jądra (kernel ring buffer) lub sterowania nim.

Domyślnym działaniem jest wyświetlenie wszystkich wiadomości z bufora warstwy jądra.

OPCJE
Żadna z opcji --clear, --read-clear, --console-on, --console-off i --console-level nie wystąpić równocześnie.

-C, --clear
    Czyści zawartość bufora.

-c, --read-clear
    Czyści zawartość bufora po jego pierwszym wyświetleniu.

-D, --console-off
    Wyłącza wypisywanie wiadomości na konsolę.

-d, --show-delta
    Wyświetla znacznik czas oraz różnicę czasu pomiędzy komunikatami. Jeśli opcja ta jest używana razem z --notime, to wypisywana jest tylko różnica czasu.

-E, --console-on
    Włącza wyświetlanie wiadomości na konsolę.

-e, --reltime
    Wyświetla czas lokalny i różnicę czasu w formacie czytelnym dla ludzi. Proszę zauważyć, że konwersja do czasu lokalnego może być niedokładna (zob. -T).

-F, --file plik
    Odczytuje komunikaty z podanego pliku

-f, --facility lista
    Ogranicza wyjście do podanej listy (z elementami oddzielonymi przecinkami) zagadnień. Na przykład:

    dmesg --facility=daemon

    wypisze wiadomości pochodzące wyłączenie od demonów systemowych. Listę obsługiwanych zagadnień przedstawia opcja --help.

-H, --human
    Włącza wyświetlanie czytelne dla ludzi. Zob. również --color, --reltime i --nopager.

-k, --kernel
    Wyświetla wiadomości jądra.

-L, --color[=kiedy]
    Koloryzuje wynik. Opcjonalnym argumentem kiedy może być auto, never (nigdy) lub always (zawsze). Gdy nie poda się argumentu kiedy, domyślnym ustawieniem jest auto. Kolory mogą być wyłączone, aktualne wbudowane ustawienie domyślne pokaże opcja --help. Zob. również poniższy rozdział KOLORY.

-l, --level lista
    Ogranicza wyjście do podanej listy (z elementami oddzielonymi przecinkami) poziomów. Na przykład

    dmesg --level=err,warn

    wypisze jedynie błędy i ostrzeżenia. Listę obsługiwanych poziomów przedstawia opcja --help.

-n, --console-level poziom
    Ustawia poziom na którym odbywa się wyświetlanie komunikatów na konsoli. Za poziom należy podstawić numer poziomu lub skróconą nazwę poziomu. Aby zapoznać się z listą obsługiwanych poziomów, należy sprawdzić wynik opcji --help.

    Na przykład, -n 1 lub -n alert zapobiega pojawianiu się na konsoli wszelkich komunikatów poza awaryjnymi (panic). Wszystkie poziomy komunikatów są nadal zapisywane do /proc/kmsg, zatem wciąż można posługiwać się syslogd(8) do dokładnej kontroli, gdzie pojawiają się komunikaty jądra. Gdy używana jest opcja -n, to dmesg nie wyświetla ani nie czyści bufora warstwy jądra.

-P, --nopager
    Nie przekazuje wyjścia na program stronicujący, który jest domyślnie włączony dla opcji --human output.

-r, --raw
    Wyświetla surowy bufor wiadomości np. nie przycina przedrostków poziomu dziennika. Proszę zauważyć, że prawdziwy format surowy zależy od metody z którą dmesg(1) odczytuje komunikaty jądra. Urządzenie /dev/kmsg używa innego formatu niż syslog(2). Dla kompatybilności wstecznej dmesg(1) zwraca dane zawsze w formacie syslog(2). Można odczytać prawdziwie surowe dane z /dev/kmsg np. poleceniem "dd if=/dev/kmsg iflag=nonblock".

-S, --syslog
    Wymusza używanie przez dmesg interfejsu jądra syslog(2) do czytania komunikatów jądra. Domyślnie korzysta się z /dev/kmsg zamiast syslog(2) od wersji jądra 3.5.0.

-s, --buffer-size rozmiar
    Do odpytania bufora jądra używa bufora o podanej wielkości Domyślnie jest to 16392 (domyślny rozmiar bufora syslog jądra wynosił początkowo 4096, 8192 od wersji 1.3.54 i 16384 od wersji 2.1.113). Jeśli użytkownik ustawił bufor jądra większy od domyślnego, to można posłużyć się tą opcją do przeglądnięcia całego bufora.

-T, --ctime
    Wypisuje znaczniki czasu w formie czytelnej dla człowieka.

    Mogą one być niedokładne! Źródło czasu używane do dzienników nie jest aktualizowane po uśpieniu/wznowieniu systemu.

-t, --notime
    Nie wypisuje znaczników czasu jądra.

--time-format format
    Wypisuje znacznik czasu w podanym formacie, którym może być ctime, reltime, delta lub iso. Pierwsze trzy formaty są aliasami dla opcji specyficznych dla formatu czasu. Format iso jest implementacją programu dmesg formatu znacznika czasu ISO-8601. Celem tego formatu jest ułatwienie porównywania znaczników między dwoma systemami i innego przetwarzania tych danych. Format iso jest zdefiniowany następująco: RRRR-MM-DD<T>GG:MM:SS,<mikrosekundy><-+><przesunięcie strefy czasowej w porównaniu do UTC>.

    Format iso cierpi na tę samą przypadłość co ctime: czas może być niedokładny, jeśli system jest wstrzymywany i wznawiany.

-u, --userspace
    Wypisuje wiadomości z przestrzeni użytkownika.

-w, --follow
    Czeka na nowe komunikaty. Ta funkcja jest obsługiwana tylko w systemach z dającym się odczytać /dev/kmsg (od jądra 3.5.0).

-x, --decode
    Dekoduje numery zagadnienia (ang. facility) i poziomu (priorytetu) do przedrostków czytelnych dla człowieka.

-V, --version
    Wypisuje informację o wersji programu i wychodzi.

-h, --help
    Wyświetla pomoc i wychodzi.

KOLORY
Jawne kolorowanie można wyłączyć za pomocą pustego pliku /etc/terminal-colors.d/dmesg.disable. Więcej informacji o konfiguracji kolorów znajduje się w podręczniku terminal-colors.d(5).

Logiczne nazwy kolorów obsługiwane przez dmesg to:

subsys
    Przedrostek podsystemu w komunikacie (np. "ACPI:").

time
    Znacznik czasu komunikatu.

timebreak
    Znacznik czasu komunikatu w krótkim formacie ctime, przy opcjach --reltime lub --human.

alert
    Tekst komunikatów o priorytecie: alert.

crit
    Tekst komunikatów o priorytecie: krytyczny.

err Tekst komunikatów o priorytecie: błąd.

warn
    Tekst komunikatów o priorytecie: ostrzeżenie.

segfault
    Tekst komunikatów informujących o błędzie segmentacji.

ZOBACZ TAKŻE
syslogd(8) terminal-colors.d(5)

AUTORZY
Karel Zak (kzak@redhat.com)
dmesg był pierwotnie napisany przez Theodore Ts'o (tytso@athena.mit.edu)

DOSTĘPNOŚĆ
Polecenie dmesg jest częścią pakietu util-linux i jest dostępne z Archiwum jądra Linux (ftp://ftp.kernel.org/pub/linux/utils/util-linux/).

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Wojtek Kotwica (PTM) <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 2.28 oryginału.